
;========================== GLOBAL SECTION OPTIONS =========================
[global]
type=global
max_forwards=70
user_agent=Custom                         ; User-agent set in SIP packets
debug=no                                        ; Enable/Disable SIP debug logging.
keep_alive_interval=20                          ; Keep alive TCP/TLS connections
default_from_user=Anonymous                     ;
;; match by ip, then auth username, then From username, then anon.
;; You also need to specify auth_username in identify_by below.
;endpoint_identifier_order = ip,auth_username,username,anonymous
;endpoint_identifier_order = username
default_realm = Custom
default_voicemail_extension=1571
disable_multi_domain=yes

; The following unidentified_request options are only used when "auth_username"
; matching is enabled in "endpoint_identifier_order".
;
unidentified_request_count=2   ; The number of unidentified requests that can be
                                ; received from a single IP address in
                               ; unidentified_request_period seconds before a security
                                ; event is generated. (default: 5)
unidentified_request_period=5  ; See above.  (default: 5 seconds)
unidentified_request_prune_interval=30
                                ; The interval at which unidentified requests
                                ; are check to see if they can be pruned.  If they're
                                ; older than twice the unidentified_request_period,
                                ; they're pruned.

;========================== SYSTEM SECTION OPTIONS =========================
[system]
type=system
timer_t1=500                                    ; Set transaction timer T1 value milliseconds (default: "500")
timer_b=32000                                   ; Set transaction timer B value milliseconds (default: "32000")
compact_headers=no                              ; Use the short forms of common SIP header names (default: "no")
threadpool_initial_size=10                      ; Initial number of threads in the res_pjsip
                                                ; threadpool (default: "0")
threadpool_auto_increment=10                    ; The amount by which the number of threads is
                                                ; incremented when necessary (default: "5")
threadpool_idle_timeout=60                      ; Number of seconds before an idle thread
                                                ; should be disposed of (default: "60")
threadpool_max_size=20                  ; Maximum number of threads in the res_pjsip threadpool
                                                ; A value of 0 indicates no maximum (default: "0")

disable_tcp_switch=yes



[transport-udp]
type = transport
protocol = udp
bind=0.0.0.0
tos=cs3

[transport-tcp]
type = transport
protocol = tcp
bind=0.0.0.0
tos=cs3

[transport-tls]
type=transport
protocol=tls
bind=0.0.0.0:5061
tos=cs3
cert_file=/etc/asterisk/keys/asterisk.crt
priv_key_file=/etc/asterisk/keys/asterisk.key
method=sslv23

[transport-ws]
type=transport
protocol=ws
bind=0.0.0.0
